Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 600549 - [abrt] crash in glabels-2.2.8-1.fc13: raise: Process /usr/bin/glabels was killed by signal 6 (SIGABRT)
[abrt] crash in glabels-2.2.8-1.fc13: raise: Process /usr/bin/glabels was kil...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: glabels (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
abrt_hash:a9f5efdd2e50a5781bfc7c70ea0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-04 21:35 EDT by fred
Modified: 2011-06-27 13:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:33:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (13.52 KB, text/plain)
2010-06-04 21:35 EDT, fred
no flags Details

  None (edit)
Description fred 2010-06-04 21:35:45 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: glabels /home/cgnomes/.glabels/Avery_5380.template
component: glabels
crash_function: raise
executable: /usr/bin/glabels
global_uuid: a9f5efdd2e50a5781bfc7c70ea02e795a36527c7
kernel: 2.6.33.3-85.fc13.i686
package: glabels-2.2.8-1.fc13
rating: 4
reason: Process /usr/bin/glabels was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)
Comment 1 fred 2010-06-04 21:35:47 EDT
Created attachment 421389 [details]
File: backtrace
Comment 2 Jef Spaleta 2010-06-04 22:50:59 EDT
While the crash certainly shouldn't happen and I'll forward this on to upstream... its not clear that calling glabels with a template as an cmdline argument is meant to work as you expect.

The template files aren't glabel project files. If you open glabels and then select new and choose the template out of the list..this should work as expected. Then you save your glabels project to a .glabels file you should be able to open that projectfile via a cmdline. The template file is not the same as a glabels project file which is based on a template. 

I'll leave this bug as open until I confirm upstream has a fix for it. But since this isn't a common usage scenario I'm probably not going to rush to try to produce a patch. But I will roll the upstream patch into the next significant package update if it becomes available.

-jef
Comment 3 Fedora Admin XMLRPC Client 2011-03-16 07:18:24 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Bug Zapper 2011-06-02 08:00:02 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora Admin XMLRPC Client 2011-06-09 05:02:01 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Bug Zapper 2011-06-27 13:33:33 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.